<div class="container">
  <div class="bar-container">
    <div class="middle-point"></div>
    <div class="data-percent">
      <ng-container [ngSwitch]="type">
        <ng-container *ngSwitchCase="'cout'">
          {{data || 0 | coutTotal: {currency: '€'} }}
        </ng-container>
        <ng-container *ngSwitchCase="'km'">
          {{data || 0 | kmTotal }}
        </ng-container>
        <ng-container *ngSwitchDefault>
          {{data || 0 }}
        </ng-container>
      </ng-container>
      <ng-container *ngIf="percent">
        (
        <span *ngIf="percent > 0">+</span>{{percent | percent}}
        )
      </ng-container>
    </div>
    <div [ngStyle]="{'width': getWidth() | customPercent}" class="bar"></div>
  </div>
</div>
